using System;

namespace ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            var linija = Console.ReadLine().Split(' ');
            int a = int.Parse(linija[0]);
            int b = int.Parse(linija[1]);
            var linija1 = Console.ReadLine().Split(' ');
            int x = int.Parse(linija1[0]);
            int y = int.Parse(linija1[1]);

            if (x == a && y != b) Console.WriteLine("drugi");
            else if (x != a && y == b) Console.WriteLine("prvi");
            else if (x == a && y == b) Console.WriteLine("nijedan");
            else Console.WriteLine("?");
        }

    }
}